Loading...
Searching...
No Matches
RDKit::v2::FileParsers::TDTMolSupplierParams Struct Reference

`#include <MolSupplier.h>`

## Public Attributes

std::string | nameRecord = ""
int | confId2D = -1
int | confId3D = -1
v2::SmilesParse::SmilesParserParams | parseParameters

## Detailed Description

Definition at line 544 of file MolSupplier.h.

## Member Data Documentation

## confId2D

int RDKit::v2::FileParsers::TDTMolSupplierParams::confId2D = -1

Definition at line 546 of file MolSupplier.h.

Referenced by RDKit::v1::TDTMolSupplier::setData(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), and RDKit::v1::TDTMolSupplier::TDTMolSupplier().

## confId3D

int RDKit::v2::FileParsers::TDTMolSupplierParams::confId3D = -1

Definition at line 547 of file MolSupplier.h.

Referenced by RDKit::v1::TDTMolSupplier::setData(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), and RDKit::v1::TDTMolSupplier::TDTMolSupplier().

## nameRecord

std::string RDKit::v2::FileParsers::TDTMolSupplierParams::nameRecord = ""

Definition at line 545 of file MolSupplier.h.

Referenced by RDKit::v1::TDTMolSupplier::setData(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), and RDKit::v1::TDTMolSupplier::TDTMolSupplier().

## parseParameters

v2::SmilesParse::SmilesParserParams RDKit::v2::FileParsers::TDTMolSupplierParams::parseParameters

Initial value:
= {
true,
false,
true,
false,
true,
false,
false,
{}
}

Definition at line 548 of file MolSupplier.h.

Referenced by RDKit::v1::TDTMolSupplier::setData(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), and RDKit::v1::TDTMolSupplier::TDTMolSupplier().

The documentation for this struct was generated from the following file:

- MolSupplier.h